Subject: Re: TEST: Sleep suppport for iBook G4 & Aluminium PowerBooks (ATI based)

From: [email-masked] (Olof Johansson)
Date: Sun, 21 Nov 2004 11:37:11 -0600

On Sun, Nov 21, 2004 at 11:01:08AM +1100, Benjamin Herrenschmidt wrote:
> > Ok, I already found a bug, occasional lockups on boot and when setting
> > the backlight. I uploaded a new version at:
> 
> Here's a 3rd version. It may or may not help, as I didn't have a chance
> to test this one on either albook or ibook g4 yet. I added saving and
> restoring of a few more registers that may fix the Xv problem (or not...
> depends what X does at this point) and eventually some corruption
> problem (the bandwidth related registers weren't restored).

This one caused problems for me. Looks like the backlight got turned off
at boot, I had to sleep it and wake it up to get it back.

-Olof